Skip to content

Send order indicators

POST
/api-connector/order/indicators
curl --request POST \
--url https://api.tradecloud1.com/v2/api-connector/order/indicators \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "order": { "companyId": "40fef20d-8769-4a0b-aa2d-90a0b00750b4", "purchaseOrderNumber": "PO123456789", "indicators": { "shipped": false, "delivered": false, "completed": false, "cancelled": false } }, "lines": [ { "position": "0001", "indicators": { "shipped": false, "delivered": false, "completed": false, "cancelled": false } } ], "erpLastChangeDateTime": "2019-12-31T10:11:12", "erpLastChangedBy": { "email": "contact@yourcompany.com" } }'

Send order indicators by the buyer. Requires Integration role

Send order indicators by buyer

Media typeapplication/json
object
order
required
object
companyId

The optional Tradecloud company ID of the buyer. Only needed when the integration user is authorized for multiple companies.

string format: uuid

Example

40fef20d-8769-4a0b-aa2d-90a0b00750b4
purchaseOrderNumber
required

The purchase order number as provided by the buyer.

string

Example

PO123456789
indicators

Use optional order level indicators to provide additional order or line state.

object
shipped

All goods of this order are shipped by the supplier.

boolean

Example

false
delivered

Marks the order as delivered at the buyer. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.

boolean

Example

false
completed

The order has been completed at the buyer.

boolean

Example

false
cancelled

The order has been cancelled by the buyer.

boolean

Example

false
lines

The line indicators of the purchase order.

Array
object
position
required

Required position identifier in the purchase order. The position should be unique within the order and immutable.

string format: digits

Example

0001
indicators
object
shipped

All goods of this order line are shipped by the supplier.

boolean

Example

false
delivered

Marks the order line as delivered at the buyer. Intended for stock items with delivery tolerances, where a receipt within tolerance counts as delivered. May be set on top of the delivery history for this purpose.

boolean

Example

false
completed

The order line has been completed at the buyer.

boolean

Example

false
cancelled

The order line has been cancelled by the buyer.

boolean

Example

false
erpLastChangeDateTime

ISO local date and time at which the order was updated in your ERP system.

string format: YYYY-MM-DDThh:mm:ss

Example

2019-12-31T10:11:12
erpLastChangedBy

The employee who is responsible for or who added, updated or responded to this order.

object
email

Employee email as known in Tradecloud.

string format: email

Example

contact@yourcompany.com

Successfully verified and sent order indicators.

Successfully queued order indicators. Indicators have not yet been verified

Bad request, the user should check the response body for more info.

Media type*/*
object
code
required
string

Example

missing.property
message
required
string

Example

Property X was missing

Not authenticated, the user should authenticate using a valid access token, use Basic Authentication, or refresh to get a valid token. May or may not contain a structured response body

Media type*/*
object
message
required
string

Example

Authentication failed
attemptsLeft

The number of authentication attempts left before the user is banned. Applicable when authentication through Basic Authentication fails.

integer

Example

2
banned

Int describing the number of seconds left before the user is allowed to attempt a login with Basic Authentication again.

integer

Example

300

Not authorized, the user is authenticated but does not have the necessary permission.

Media type*/*
object
message
required
string

Example

Not authorized for this action

Order not found.

An unexpected error occurred, Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
code
required
string

Example

some.error
message
required
string

Example

Some error occurred
cause

The cause of this error. Free-format JSON object.

object

Service is not healthy (bad gateway), Tradecloud ops will be alerted. Will not contain a structured response body.

Service is unavailable (overloaded or down for maintenance), Tradecloud ops will be alerted. May or may not contain a structured response body.

Media type*/*
object
message
required
string

Example

Could not retrieve data from external source.

Service is unavailable (gateway timeout), Tradecloud ops will be alerted. Will not contain a structured response body.